| Home | Libraries | People | FAQ | More

##### empty(rtree<...> const &)

Query if there are no values stored in the index.

###### Description

It calls `rtree::empty()`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    bool empty(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const &` | `tree` | The spatial index.

###### Returns

true if there are no values in the index.